/************************
 * Assembly definitions *
 ************************/


% Water pin
pin w
fill axiWater


%     Lattice type 1 (square lattice)
%     Lattice centered at 0.0 0.0
%     17 x 17 lattice elements
%     Lattice pitch 1.25984 cm

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% BEAVRS Benchmark Figure 14 with 1.6 wt-% enriched uranium

lat lR00s 1 0.0 0.0 17 17  1.25984
w   w   w   w   w   w   w   w   uFR uFR uFR uFR uFR uFR uFR uFR uFR
w   w   w   w   w   w   w   w   uFR uFR uFR uFR uFR uFR uFR uFR w
w   w   w   w   w   w   w   w   g   uFR uFR g   uFR uFR uFR w   w
w   w   w   w   w   w   w   w   uFR uFR uFR uFR uFR g   w   w   w
w   w   w   w   w   w   w   w   uFR uFR uFR uFR uFR w   w   w   w
w   w   w   w   w   w   w   w   g   uFR uFR g   w   w   w   w   w
w   w   w   w   w   w   w   w   uFR uFR uFR w   w   w   w   w   w
w   w   w   w   w   w   w   w   uFR uFR w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   i   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w

lat lR00  1 0.0 0.0 17 17  1.25984
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR
uFR uFR uFR uFR uFR g   uFR uFR g   uFR uFR g   uFR uFR uFR uFR uFR
uFR uFR uFR g   uFR uFR uFR uFR uFR uFR uFR uFR uFR g   uFR uFR uFR
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR
uFR uFR g   uFR uFR g   uFR uFR g   uFR uFR g   uFR uFR g   uFR uFR
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR
uFR uFR g   uFR uFR g   uFR uFR i   uFR uFR g   uFR uFR g   uFR uFR
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR
uFR uFR g   uFR uFR g   uFR uFR g   uFR uFR g   uFR uFR g   uFR uFR
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR
uFR uFR uFR g   uFR uFR uFR uFR uFR uFR uFR uFR uFR g   uFR uFR uFR
uFR uFR uFR uFR uFR g   uFR uFR g   uFR uFR g   uFR uFR uFR uFR uFR
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Lattice 4BA, Figure 15, polttoaine?

lat lR04s 1 0.0 0.0 17 17 1.25984
w   w   w   w   w   w   w   w   uFR uFR uFR uFR uFR uFR uFR uFR uFR
w   w   w   w   w   w   w   w   uFR uFR uFR uFR uFR uFR uFR uFR w
w   w   w   w   w   w   w   w   g   uFR uFR g   uFR uFR uFR w   w
w   w   w   w   w   w   w   w   uFR uFR uFR uFR uFR b   w   w   w
w   w   w   w   w   w   w   w   uFR uFR uFR uFR uFR w   w   w   w
w   w   w   w   w   w   w   w   g   uFR uFR g   w   w   w   w   w
w   w   w   w   w   w   w   w   uFR uFR uFR w   w   w   w   w   w
w   w   w   w   w   w   w   w   uFR uFR w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   i   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w

lat lR04  1 0.0 0.0 17 17  1.25984
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR
uFR uFR uFR uFR uFR g   uFR uFR g   uFR uFR g   uFR uFR uFR uFR uFR
uFR uFR uFR b   uFR uFR uFR uFR uFR uFR uFR uFR uFR b   uFR uFR uFR
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR
uFR uFR g   uFR uFR g   uFR uFR g   uFR uFR g   uFR uFR g   uFR uFR
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR
uFR uFR g   uFR uFR g   uFR uFR i   uFR uFR g   uFR uFR g   uFR uFR
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR
uFR uFR g   uFR uFR g   uFR uFR g   uFR uFR g   uFR uFR g   uFR uFR
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR
uFR uFR uFR b   uFR uFR uFR uFR uFR uFR uFR uFR uFR b   uFR uFR uFR
uFR uFR uFR uFR uFR g   uFR uFR g   uFR uFR g   uFR uFR uFR uFR uFR
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Lattice 6BA, Figure 16, polttoaine?

lat lR06s 1 0.0 0.0 17 17 1.25984
w   w   w   w   w   w   w   w   uFR uFR uFR uFR uFR uFR uFR uFR uFR
w   w   w   w   w   w   w   w   uFR uFR uFR uFR uFR uFR uFR uFR uFR
w   w   w   w   w   w   w   w   g   uFR uFR b   uFR uFR uFR uFR uFR
w   w   w   w   w   w   w   w   uFR uFR uFR uFR uFR b   uFR uFR uFR
w   w   w   w   w   w   w   w   uFR uFR uFR uFR uFR uFR uFR uFR uFR
w   w   w   w   w   w   w   w   g   uFR uFR g   uFR uFR b   uFR uFR
w   w   w   w   w   w   w   w   uFR uFR uFR uFR uFR uFR uFR uFR uFR
w   w   w   w   w   w   w   w   uFR uFR uFR uFR uFR uFR uFR uFR uFR
w   w   w   w   w   w   w   w   i   uFR uFR g   uFR uFR g   uFR uFR
w   w   w   w   w   w   w   w   uFR uFR uFR uFR uFR uFR uFR uFR uFR
w   w   w   w   w   w   w   w   uFR uFR uFR uFR uFR uFR uFR uFR uFR
w   w   w   w   w   w   w   w   g   uFR uFR g   uFR uFR g   uFR uFR
w   w   w   w   w   w   w   w   uFR uFR uFR uFR uFR uFR uFR uFR uFR
w   w   w   w   w   w   w   w   uFR uFR uFR uFR uFR g   uFR uFR uFR
w   w   w   w   w   w   w   w   g   uFR uFR g   uFR uFR uFR uFR uFR
w   w   w   w   w   w   w   w   uFR uFR uFR uFR uFR uFR uFR uFR uFR
w   w   w   w   w   w   w   w   uFR uFR uFR uFR uFR uFR uFR uFR uFR

lat lR06  1 0.0 0.0 17 17  1.25984
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR
uFR uFR uFR uFR uFR b   uFR uFR g   uFR uFR b   uFR uFR uFR uFR uFR
uFR uFR uFR b   uFR uFR uFR uFR uFR uFR uFR uFR uFR b   uFR uFR uFR
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR
uFR uFR b   uFR uFR g   uFR uFR g   uFR uFR g   uFR uFR b   uFR uFR
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR
uFR uFR g   uFR uFR g   uFR uFR i   uFR uFR g   uFR uFR g   uFR uFR
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR
uFR uFR g   uFR uFR g   uFR uFR g   uFR uFR g   uFR uFR g   uFR uFR
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR
uFR uFR uFR g   uFR uFR uFR uFR uFR uFR uFR uFR uFR g   uFR uFR uFR
uFR uFR uFR uFR uFR g   uFR uFR g   uFR uFR g   uFR uFR uFR uFR uFR
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Lattice 8BA, Figure 17, polttoaine?

lat lR08s 1 0.0 0.0 17 17 1.25984
w   w   w   w   w   w   w   w   uFR uFR uFR uFR uFR uFR uFR uFR uFR
w   w   w   w   w   w   w   w   uFR uFR uFR uFR uFR uFR uFR uFR w
w   w   w   w   w   w   w   w   g   uFR uFR g   uFR uFR uFR w   w
w   w   w   w   w   w   w   w   uFR uFR uFR uFR uFR b   w   w   w
w   w   w   w   w   w   w   w   uFR uFR uFR uFR uFR w   w   w   w
w   w   w   w   w   w   w   w   b   uFR uFR g   w   w   w   w   w
w   w   w   w   w   w   w   w   uFR uFR uFR w   w   w   w   w   w
w   w   w   w   w   w   w   w   uFR uFR w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   i   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w

lat lR08  1 0.0 0.0 17 17  1.25984
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR
uFR uFR uFR uFR uFR g   uFR uFR g   uFR uFR g   uFR uFR uFR uFR uFR
uFR uFR uFR b   uFR uFR uFR uFR uFR uFR uFR uFR uFR b   uFR uFR uFR
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR
uFR uFR g   uFR uFR g   uFR uFR b   uFR uFR g   uFR uFR g   uFR uFR
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR
uFR uFR g   uFR uFR b   uFR uFR i   uFR uFR b   uFR uFR g   uFR uFR
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR
uFR uFR g   uFR uFR g   uFR uFR b   uFR uFR g   uFR uFR g   uFR uFR
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR
uFR uFR uFR b   uFR uFR uFR uFR uFR uFR uFR uFR uFR b   uFR uFR uFR
uFR uFR uFR uFR uFR g   uFR uFR g   uFR uFR g   uFR uFR uFR uFR uFR
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Lattice 12BA, Figure 19, polttoaine?

lat lR12s 1 0.0 0.0 17 17 1.25984
w   w   w   w   w   w   w   w   uFR uFR uFR uFR uFR uFR uFR uFR uFR
w   w   w   w   w   w   w   w   uFR uFR uFR uFR uFR uFR uFR uFR w
w   w   w   w   w   w   w   w   g   uFR uFR b   uFR uFR uFR w   w
w   w   w   w   w   w   w   w   uFR uFR uFR uFR uFR g   w   w   w
w   w   w   w   w   w   w   w   uFR uFR uFR uFR uFR w   w   w   w
w   w   w   w   w   w   w   w   b   uFR uFR g   w   w   w   w   w
w   w   w   w   w   w   w   w   uFR uFR uFR w   w   w   w   w   w
w   w   w   w   w   w   w   w   uFR uFR w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   i   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w

lat lR12  1 0.0 0.0 17 17  1.25984
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR
uFR uFR uFR uFR uFR b   uFR uFR g   uFR uFR b   uFR uFR uFR uFR uFR
uFR uFR uFR g   uFR uFR uFR uFR uFR uFR uFR uFR uFR g   uFR uFR uFR
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR
uFR uFR b   uFR uFR g   uFR uFR b   uFR uFR g   uFR uFR b   uFR uFR
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR
uFR uFR g   uFR uFR b   uFR uFR i   uFR uFR b   uFR uFR g   uFR uFR
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR
uFR uFR b   uFR uFR g   uFR uFR b   uFR uFR g   uFR uFR b   uFR uFR
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR
uFR uFR uFR g   uFR uFR uFR uFR uFR uFR uFR uFR uFR g   uFR uFR uFR
uFR uFR uFR uFR uFR b   uFR uFR g   uFR uFR b   uFR uFR uFR uFR uFR
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Lattice 15BA, Figure 20, polttoaine?

lat lR15s 1 0.0 0.0 17 17 1.25984
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR
uFR uFR uFR uFR uFR b   uFR uFR b   uFR uFR b   uFR uFR uFR uFR uFR
uFR uFR uFR b   uFR uFR uFR uFR uFR uFR uFR uFR uFR g   uFR uFR uFR
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR
uFR uFR b   uFR uFR b   uFR uFR b   uFR uFR b   uFR uFR g   uFR uFR
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR
uFR uFR b   uFR uFR b   uFR uFR i   uFR uFR b   uFR uFR g   uFR uFR
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR
uFR uFR b   uFR uFR b   uFR uFR b   uFR uFR b   uFR uFR g   uFR uFR
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR
uFR uFR uFR g   uFR uFR uFR uFR uFR uFR uFR uFR uFR g   uFR uFR uFR
uFR uFR uFR uFR uFR g   uFR uFR g   uFR uFR g   uFR uFR uFR uFR uFR
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR

lat lR15  1 0.0 0.0 17 17  1.25984
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR
uFR uFR uFR uFR uFR b   uFR uFR b   uFR uFR b   uFR uFR uFR uFR uFR
uFR uFR uFR b   uFR uFR uFR uFR uFR uFR uFR uFR uFR g   uFR uFR uFR
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR
uFR uFR b   uFR uFR b   uFR uFR b   uFR uFR b   uFR uFR g   uFR uFR
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR
uFR uFR b   uFR uFR b   uFR uFR i   uFR uFR b   uFR uFR g   uFR uFR
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR
uFR uFR b   uFR uFR b   uFR uFR b   uFR uFR b   uFR uFR g   uFR uFR
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR
uFR uFR uFR g   uFR uFR uFR uFR uFR uFR uFR uFR uFR g   uFR uFR uFR
uFR uFR uFR uFR uFR g   uFR uFR g   uFR uFR g   uFR uFR uFR uFR uFR
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Lattice 16BA, Figure 21, polttoaine?

lat lR16s 1 0.0 0.0 17 17 1.25984
w   w   w   w   w   w   w   w   uFR uFR uFR uFR uFR uFR uFR uFR uFR
w   w   w   w   w   w   w   w   uFR uFR uFR uFR uFR uFR uFR uFR w
w   w   w   w   w   w   w   w   b   uFR uFR b   uFR uFR uFR w   w
w   w   w   w   w   w   w   w   uFR uFR uFR uFR uFR b   w   w   w
w   w   w   w   w   w   w   w   uFR uFR uFR uFR uFR w   w   w   w
w   w   w   w   w   w   w   w   g   uFR uFR g   w   w   w   w   w
w   w   w   w   w   w   w   w   uFR uFR uFR w   w   w   w   w   w
w   w   w   w   w   w   w   w   uFR uFR w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   i   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w

lat lR16  1 0.0 0.0 17 17  1.25984
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR
uFR uFR uFR uFR uFR b   uFR uFR b   uFR uFR b   uFR uFR uFR uFR uFR
uFR uFR uFR b   uFR uFR uFR uFR uFR uFR uFR uFR uFR b   uFR uFR uFR
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR
uFR uFR b   uFR uFR g   uFR uFR g   uFR uFR g   uFR uFR b   uFR uFR
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR
uFR uFR b   uFR uFR g   uFR uFR i   uFR uFR g   uFR uFR b   uFR uFR
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR
uFR uFR b   uFR uFR g   uFR uFR g   uFR uFR g   uFR uFR b   uFR uFR
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR
uFR uFR uFR b   uFR uFR uFR uFR uFR uFR uFR uFR uFR b   uFR uFR uFR
uFR uFR uFR uFR uFR b   uFR uFR b   uFR uFR b   uFR uFR uFR uFR uFR
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Lattice 20BA, Figure 22 with 3.4 wt-% enriched uranium

lat lR20s 1 0.0 0.0 17 17 1.25984
w   w   w   w   w   w   w   w   uFR uFR uFR uFR uFR uFR uFR uFR uFR
w   w   w   w   w   w   w   w   uFR uFR uFR uFR uFR uFR uFR uFR w
w   w   w   w   w   w   w   w   b   uFR uFR b   uFR uFR uFR w   w
w   w   w   w   w   w   w   w   uFR uFR uFR uFR uFR b   w   w   w
w   w   w   w   w   w   w   w   uFR uFR uFR uFR uFR w   w   w   w
w   w   w   w   w   w   w   w   g   uFR uFR b   w   w   w   w   w
w   w   w   w   w   w   w   w   uFR uFR uFR w   w   w   w   w   w
w   w   w   w   w   w   w   w   uFR uFR w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   i   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w

lat lR20  1 0.0 0.0 17 17  1.25984
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR
uFR uFR uFR uFR uFR b   uFR uFR b   uFR uFR b   uFR uFR uFR uFR uFR
uFR uFR uFR b   uFR uFR uFR uFR uFR uFR uFR uFR uFR b   uFR uFR uFR
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR
uFR uFR b   uFR uFR b   uFR uFR g   uFR uFR b   uFR uFR b   uFR uFR
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR
uFR uFR b   uFR uFR g   uFR uFR i   uFR uFR g   uFR uFR b   uFR uFR
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR
uFR uFR b   uFR uFR b   uFR uFR g   uFR uFR b   uFR uFR b   uFR uFR
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR
uFR uFR uFR b   uFR uFR uFR uFR uFR uFR uFR uFR uFR b   uFR uFR uFR
uFR uFR uFR uFR uFR b   uFR uFR b   uFR uFR b   uFR uFR uFR uFR uFR
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR
uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR uFR

% --- Symmetry to the lattices
%     Symmetry axis is the z-axis (3)
%     Symmetry boundary condition is reflective (2)
%     Symmetry axis is located at coordinates (0.0 0.0)
%     Symmetry covers an angle starting from 270 degrees
%     and extending for 45 degrees

set usym lR00s 3 2 0.0 0.0 270 45
set usym lR04s 3 2 0.0 0.0 270 45
set usym lR06s 3 2 0.0 0.0 270 180
set usym lR08s 3 2 0.0 0.0 270 45
set usym lR12s 3 2 0.0 0.0 270 45
set usym lR15s 3 2 0.0 0.0 270 45
set usym lR16s 3 2 0.0 0.0 270 45
set usym lR20s 3 2 0.0 0.0 270 45