/**************************
 * Guide tube definitions *
 **************************/


% Guide Tube with control rod above Dashpot (above the control rod stop at the bottom of the core)

pin pGTabove
fill CR       0.48387
fill axiWater 0.56134
Zircaloy4     0.60198
fill grid


% Guide Tube Pin at Dashpot (below the control rod stop at the bottom of the core)

pin pGTbelow
fill CR       0.48387
fill axiWater 0.50419
Zircaloy4     0.54610
fill grid


% Nozzle / Support Plate Borated Water pin

pin pSPBwater
fill CR     0.48387
SPBwater

% Regular Water

pin pWater
fill CR     0.48387
fill axiWater


/***** Vertical layers for guidetube ****/

% ! Weird guidetube tapering above dashpot from Grid 1 Top to Grid 2 Bottom !

cell cGT0 g fill axiWater               -sSPBot
cell cGT1 g SPBwater        sSPBot      -sRodBot
cell cGT2 g fill pGTbelow   sRodBot     -sCRBot
cell cGT3 g fill pGTabove   sCRBot      -sG1Top
cell cGT4 g fill pGTbelow   sG1Top      -sG2Bot
cell cGT5 g fill pGTabove   sG2Bot      -sNozzleBot
cell cGT6 g fill pSPBwater  sNozzleBot  -sNozzleTop
cell cGT7 g fill pWater     sNozzleTop
