M/*****************************************
 * Options file for SMR demo for Serpent *
 *****************************************/

/***** Run parameters *****/

% Neutron population: 20000 neutrons per cycle, 100 active / 20 inactive cycles

set pop 20000 200 100

% --- Slightly more ambitious

%set pop 200000 5000 100

% --- Data libraries

set acelib "Serpent2_v0/s2v0_endfb71+Xe135m.xsdata"
set declib "Serpent2_v0/s2v0_endfb71.dec"
set nfylib "Serpent2_v0/s2v0_endfb71.nfy"

% --- Common options

set gcu -1

set cmm 0

set dbrc 0.1e-6 1e-3 92234.00c 92235.00c 92238.00c 94239.00c 94240.00c

set ures 1

set repro 0

set shbuf 0 0
