/*************************
 * Reflector definitions *
 *************************/

 % Mixture of water and stainless steel 304 for the reflector

mix mReflector rgb 0 155 155
water_rad_refl   0.0785
ssteel           0.9215


% Radial reflector begins axially from the bottom of the lower support plate and ends at the top of the fuel rods
% Radial reflector outer diameter is 188.0cm -> radius 94.0cm

surf sReflOut   cylz 0.0 0.0 94.0

surf sReflIn    gcross 0.0 0.0 75.2650 53.7600 32.2555


cell cReflIn    reactor fill core         -sReflIn
cell cReflBot   reactor water_bot_refl     sReflIn -sReflOut           -sSPBot
cell cReflMid   reactor mReflector         sReflIn -sReflOut   sSPBot  -sNozzleTop
cell cReflTop   reactor water_top_refl     sReflIn -sReflOut   sNozzleTop
cell cReflOut   reactor water_rad_refl     sReflOut
