/************************
 * Assembly definitions *
 ************************/

%     Lattice type 1 (square lattice)
%     Lattice centered at 0.0 0.0
%     17 x 17 lattice elements
%     Lattice pitch 1.25984 cm

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% BEAVRS Benchmark Figure 14 with 1.6 wt-% enriched uranium

lat lB00s 1 0.0 0.0 17 17  1.25984
w   w   w   w   w   w   w   w   uFB uFB uFB uFB uFB uFB uFB uFB uFB
w   w   w   w   w   w   w   w   uFB uFB uFB uFB uFB uFB uFB uFB w
w   w   w   w   w   w   w   w   g   uFB uFB g   uFB uFB uFB w   w
w   w   w   w   w   w   w   w   uFB uFB uFB uFB uFB g   w   w   w
w   w   w   w   w   w   w   w   uFB uFB uFB uFB uFB w   w   w   w
w   w   w   w   w   w   w   w   g   uFB uFB g   w   w   w   w   w
w   w   w   w   w   w   w   w   uFB uFB uFB w   w   w   w   w   w
w   w   w   w   w   w   w   w   uFB uFB w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   i   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w

lat lB00  1 0.0 0.0 17 17  1.25984
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB
uFB uFB uFB uFB uFB g   uFB uFB g   uFB uFB g   uFB uFB uFB uFB uFB
uFB uFB uFB g   uFB uFB uFB uFB uFB uFB uFB uFB uFB g   uFB uFB uFB
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB
uFB uFB g   uFB uFB g   uFB uFB g   uFB uFB g   uFB uFB g   uFB uFB
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB
uFB uFB g   uFB uFB g   uFB uFB i   uFB uFB g   uFB uFB g   uFB uFB
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB
uFB uFB g   uFB uFB g   uFB uFB g   uFB uFB g   uFB uFB g   uFB uFB
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB
uFB uFB uFB g   uFB uFB uFB uFB uFB uFB uFB uFB uFB g   uFB uFB uFB
uFB uFB uFB uFB uFB g   uFB uFB g   uFB uFB g   uFB uFB uFB uFB uFB
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Lattice 4BA, Figure 15, polttoaine?

lat lB04s 1 0.0 0.0 17 17 1.25984
w   w   w   w   w   w   w   w   uFB uFB uFB uFB uFB uFB uFB uFB uFB
w   w   w   w   w   w   w   w   uFB uFB uFB uFB uFB uFB uFB uFB w
w   w   w   w   w   w   w   w   g   uFB uFB g   uFB uFB uFB w   w
w   w   w   w   w   w   w   w   uFB uFB uFB uFB uFB b   w   w   w
w   w   w   w   w   w   w   w   uFB uFB uFB uFB uFB w   w   w   w
w   w   w   w   w   w   w   w   g   uFB uFB g   w   w   w   w   w
w   w   w   w   w   w   w   w   uFB uFB uFB w   w   w   w   w   w
w   w   w   w   w   w   w   w   uFB uFB w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   i   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w

lat lB04  1 0.0 0.0 17 17  1.25984
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB
uFB uFB uFB uFB uFB g   uFB uFB g   uFB uFB g   uFB uFB uFB uFB uFB
uFB uFB uFB b   uFB uFB uFB uFB uFB uFB uFB uFB uFB b   uFB uFB uFB
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB
uFB uFB g   uFB uFB g   uFB uFB g   uFB uFB g   uFB uFB g   uFB uFB
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB
uFB uFB g   uFB uFB g   uFB uFB i   uFB uFB g   uFB uFB g   uFB uFB
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB
uFB uFB g   uFB uFB g   uFB uFB g   uFB uFB g   uFB uFB g   uFB uFB
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB
uFB uFB uFB b   uFB uFB uFB uFB uFB uFB uFB uFB uFB b   uFB uFB uFB
uFB uFB uFB uFB uFB g   uFB uFB g   uFB uFB g   uFB uFB uFB uFB uFB
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Lattice 6BA, Figure 16, polttoaine?

lat lB06s 1 0.0 0.0 17 17 1.25984
w   w   w   w   w   w   w   w   uFB uFB uFB uFB uFB uFB uFB uFB uFB
w   w   w   w   w   w   w   w   uFB uFB uFB uFB uFB uFB uFB uFB uFB
w   w   w   w   w   w   w   w   g   uFB uFB b   uFB uFB uFB uFB uFB
w   w   w   w   w   w   w   w   uFB uFB uFB uFB uFB b   uFB uFB uFB
w   w   w   w   w   w   w   w   uFB uFB uFB uFB uFB uFB uFB uFB uFB
w   w   w   w   w   w   w   w   g   uFB uFB g   uFB uFB b   uFB uFB
w   w   w   w   w   w   w   w   uFB uFB uFB uFB uFB uFB uFB uFB uFB
w   w   w   w   w   w   w   w   uFB uFB uFB uFB uFB uFB uFB uFB uFB
w   w   w   w   w   w   w   w   i   uFB uFB g   uFB uFB g   uFB uFB
w   w   w   w   w   w   w   w   uFB uFB uFB uFB uFB uFB uFB uFB uFB
w   w   w   w   w   w   w   w   uFB uFB uFB uFB uFB uFB uFB uFB uFB
w   w   w   w   w   w   w   w   g   uFB uFB g   uFB uFB g   uFB uFB
w   w   w   w   w   w   w   w   uFB uFB uFB uFB uFB uFB uFB uFB uFB
w   w   w   w   w   w   w   w   uFB uFB uFB uFB uFB g   uFB uFB uFB
w   w   w   w   w   w   w   w   g   uFB uFB g   uFB uFB uFB uFB uFB
w   w   w   w   w   w   w   w   uFB uFB uFB uFB uFB uFB uFB uFB uFB
w   w   w   w   w   w   w   w   uFB uFB uFB uFB uFB uFB uFB uFB uFB

lat lB06  1 0.0 0.0 17 17  1.25984
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB
uFB uFB uFB uFB uFB b   uFB uFB g   uFB uFB b   uFB uFB uFB uFB uFB
uFB uFB uFB b   uFB uFB uFB uFB uFB uFB uFB uFB uFB b   uFB uFB uFB
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB
uFB uFB b   uFB uFB g   uFB uFB g   uFB uFB g   uFB uFB b   uFB uFB
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB
uFB uFB g   uFB uFB g   uFB uFB i   uFB uFB g   uFB uFB g   uFB uFB
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB
uFB uFB g   uFB uFB g   uFB uFB g   uFB uFB g   uFB uFB g   uFB uFB
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB
uFB uFB uFB g   uFB uFB uFB uFB uFB uFB uFB uFB uFB g   uFB uFB uFB
uFB uFB uFB uFB uFB g   uFB uFB g   uFB uFB g   uFB uFB uFB uFB uFB
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Lattice 8BA, Figure 17, polttoaine?

lat lB08s 1 0.0 0.0 17 17 1.25984
w   w   w   w   w   w   w   w   uFB uFB uFB uFB uFB uFB uFB uFB uFB
w   w   w   w   w   w   w   w   uFB uFB uFB uFB uFB uFB uFB uFB w
w   w   w   w   w   w   w   w   g   uFB uFB g   uFB uFB uFB w   w
w   w   w   w   w   w   w   w   uFB uFB uFB uFB uFB b   w   w   w
w   w   w   w   w   w   w   w   uFB uFB uFB uFB uFB w   w   w   w
w   w   w   w   w   w   w   w   b   uFB uFB g   w   w   w   w   w
w   w   w   w   w   w   w   w   uFB uFB uFB w   w   w   w   w   w
w   w   w   w   w   w   w   w   uFB uFB w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   i   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w

lat lB08  1 0.0 0.0 17 17  1.25984
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB
uFB uFB uFB uFB uFB g   uFB uFB g   uFB uFB g   uFB uFB uFB uFB uFB
uFB uFB uFB b   uFB uFB uFB uFB uFB uFB uFB uFB uFB b   uFB uFB uFB
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB
uFB uFB g   uFB uFB g   uFB uFB b   uFB uFB g   uFB uFB g   uFB uFB
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB
uFB uFB g   uFB uFB b   uFB uFB i   uFB uFB b   uFB uFB g   uFB uFB
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB
uFB uFB g   uFB uFB g   uFB uFB b   uFB uFB g   uFB uFB g   uFB uFB
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB
uFB uFB uFB b   uFB uFB uFB uFB uFB uFB uFB uFB uFB b   uFB uFB uFB
uFB uFB uFB uFB uFB g   uFB uFB g   uFB uFB g   uFB uFB uFB uFB uFB
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Lattice 12BA, Figure 19, polttoaine?

lat lB12s 1 0.0 0.0 17 17 1.25984
w   w   w   w   w   w   w   w   uFB uFB uFB uFB uFB uFB uFB uFB uFB
w   w   w   w   w   w   w   w   uFB uFB uFB uFB uFB uFB uFB uFB w
w   w   w   w   w   w   w   w   g   uFB uFB b   uFB uFB uFB w   w
w   w   w   w   w   w   w   w   uFB uFB uFB uFB uFB g   w   w   w
w   w   w   w   w   w   w   w   uFB uFB uFB uFB uFB w   w   w   w
w   w   w   w   w   w   w   w   b   uFB uFB g   w   w   w   w   w
w   w   w   w   w   w   w   w   uFB uFB uFB w   w   w   w   w   w
w   w   w   w   w   w   w   w   uFB uFB w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   i   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w

lat lB12  1 0.0 0.0 17 17  1.25984
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB
uFB uFB uFB uFB uFB b   uFB uFB g   uFB uFB b   uFB uFB uFB uFB uFB
uFB uFB uFB g   uFB uFB uFB uFB uFB uFB uFB uFB uFB g   uFB uFB uFB
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB
uFB uFB b   uFB uFB g   uFB uFB b   uFB uFB g   uFB uFB b   uFB uFB
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB
uFB uFB g   uFB uFB b   uFB uFB i   uFB uFB b   uFB uFB g   uFB uFB
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB
uFB uFB b   uFB uFB g   uFB uFB b   uFB uFB g   uFB uFB b   uFB uFB
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB
uFB uFB uFB g   uFB uFB uFB uFB uFB uFB uFB uFB uFB g   uFB uFB uFB
uFB uFB uFB uFB uFB b   uFB uFB g   uFB uFB b   uFB uFB uFB uFB uFB
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Lattice 15BA, Figure 20, polttoaine?

lat lB15s 1 0.0 0.0 17 17 1.25984
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB
uFB uFB uFB uFB uFB b   uFB uFB b   uFB uFB b   uFB uFB uFB uFB uFB
uFB uFB uFB b   uFB uFB uFB uFB uFB uFB uFB uFB uFB g   uFB uFB uFB
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB
uFB uFB b   uFB uFB b   uFB uFB b   uFB uFB b   uFB uFB g   uFB uFB
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB
uFB uFB b   uFB uFB b   uFB uFB i   uFB uFB b   uFB uFB g   uFB uFB
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB
uFB uFB b   uFB uFB b   uFB uFB b   uFB uFB b   uFB uFB g   uFB uFB
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB
uFB uFB uFB g   uFB uFB uFB uFB uFB uFB uFB uFB uFB g   uFB uFB uFB
uFB uFB uFB uFB uFB g   uFB uFB g   uFB uFB g   uFB uFB uFB uFB uFB
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB

lat lB15  1 0.0 0.0 17 17  1.25984
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB
uFB uFB uFB uFB uFB b   uFB uFB b   uFB uFB b   uFB uFB uFB uFB uFB
uFB uFB uFB b   uFB uFB uFB uFB uFB uFB uFB uFB uFB g   uFB uFB uFB
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB
uFB uFB b   uFB uFB b   uFB uFB b   uFB uFB b   uFB uFB g   uFB uFB
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB
uFB uFB b   uFB uFB b   uFB uFB i   uFB uFB b   uFB uFB g   uFB uFB
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB
uFB uFB b   uFB uFB b   uFB uFB b   uFB uFB b   uFB uFB g   uFB uFB
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB
uFB uFB uFB g   uFB uFB uFB uFB uFB uFB uFB uFB uFB g   uFB uFB uFB
uFB uFB uFB uFB uFB g   uFB uFB g   uFB uFB g   uFB uFB uFB uFB uFB
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Lattice 16BA, Figure 21, polttoaine?

lat lB16s 1 0.0 0.0 17 17 1.25984
w   w   w   w   w   w   w   w   uFB uFB uFB uFB uFB uFB uFB uFB uFB
w   w   w   w   w   w   w   w   uFB uFB uFB uFB uFB uFB uFB uFB w
w   w   w   w   w   w   w   w   b   uFB uFB b   uFB uFB uFB w   w
w   w   w   w   w   w   w   w   uFB uFB uFB uFB uFB b   w   w   w
w   w   w   w   w   w   w   w   uFB uFB uFB uFB uFB w   w   w   w
w   w   w   w   w   w   w   w   g   uFB uFB g   w   w   w   w   w
w   w   w   w   w   w   w   w   uFB uFB uFB w   w   w   w   w   w
w   w   w   w   w   w   w   w   uFB uFB w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   i   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w

lat lB16  1 0.0 0.0 17 17  1.25984
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB
uFB uFB uFB uFB uFB b   uFB uFB b   uFB uFB b   uFB uFB uFB uFB uFB
uFB uFB uFB b   uFB uFB uFB uFB uFB uFB uFB uFB uFB b   uFB uFB uFB
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB
uFB uFB b   uFB uFB g   uFB uFB g   uFB uFB g   uFB uFB b   uFB uFB
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB
uFB uFB b   uFB uFB g   uFB uFB i   uFB uFB g   uFB uFB b   uFB uFB
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB
uFB uFB b   uFB uFB g   uFB uFB g   uFB uFB g   uFB uFB b   uFB uFB
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB
uFB uFB uFB b   uFB uFB uFB uFB uFB uFB uFB uFB uFB b   uFB uFB uFB
uFB uFB uFB uFB uFB b   uFB uFB b   uFB uFB b   uFB uFB uFB uFB uFB
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Lattice 20BA, Figure 22 with 3.4 wt-% enriched uranium

lat lB20s 1 0.0 0.0 17 17 1.25984
w   w   w   w   w   w   w   w   uFB uFB uFB uFB uFB uFB uFB uFB uFB
w   w   w   w   w   w   w   w   uFB uFB uFB uFB uFB uFB uFB uFB w
w   w   w   w   w   w   w   w   b   uFB uFB b   uFB uFB uFB w   w
w   w   w   w   w   w   w   w   uFB uFB uFB uFB uFB b   w   w   w
w   w   w   w   w   w   w   w   uFB uFB uFB uFB uFB w   w   w   w
w   w   w   w   w   w   w   w   g   uFB uFB b   w   w   w   w   w
w   w   w   w   w   w   w   w   uFB uFB uFB w   w   w   w   w   w
w   w   w   w   w   w   w   w   uFB uFB w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   i   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w

lat lB20  1 0.0 0.0 17 17  1.25984
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB
uFB uFB uFB uFB uFB b   uFB uFB b   uFB uFB b   uFB uFB uFB uFB uFB
uFB uFB uFB b   uFB uFB uFB uFB uFB uFB uFB uFB uFB b   uFB uFB uFB
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB
uFB uFB b   uFB uFB b   uFB uFB g   uFB uFB b   uFB uFB b   uFB uFB
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB
uFB uFB b   uFB uFB g   uFB uFB i   uFB uFB g   uFB uFB b   uFB uFB
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB
uFB uFB b   uFB uFB b   uFB uFB g   uFB uFB b   uFB uFB b   uFB uFB
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB
uFB uFB uFB b   uFB uFB uFB uFB uFB uFB uFB uFB uFB b   uFB uFB uFB
uFB uFB uFB uFB uFB b   uFB uFB b   uFB uFB b   uFB uFB uFB uFB uFB
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB
uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB uFB

% --- Symmetry to the lattices
%     Symmetry axis is the z-axis (3)
%     Symmetry boundary condition is reflective (2)
%     Symmetry axis is located at coordinates (0.0 0.0)
%     Symmetry covers an angle starting from 270 degrees
%     and extending for 45 degrees

set usym lB00s 3 2 0.0 0.0 270 45
set usym lB04s 3 2 0.0 0.0 270 45
set usym lB06s 3 2 0.0 0.0 270 180
set usym lB08s 3 2 0.0 0.0 270 45
set usym lB12s 3 2 0.0 0.0 270 45
set usym lB15s 3 2 0.0 0.0 270 45
set usym lB16s 3 2 0.0 0.0 270 45
set usym lB20s 3 2 0.0 0.0 270 45