/************************
 * Assembly definitions *
 ************************/

%     Lattice type 1 (square lattice)
%     Lattice centered at 0.0 0.0
%     17 x 17 lattice elements
%     Lattice pitch 1.25984 cm

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% BEAVRS Benchmark Figure 14 with 1.6 wt-% enriched uranium

lat lG00s 1 0.0 0.0 17 17  1.25984
w   w   w   w   w   w   w   w   uFG uFG uFG uFG uFG uFG uFG uFG uFG
w   w   w   w   w   w   w   w   uFG uFG uFG uFG uFG uFG uFG uFG w
w   w   w   w   w   w   w   w   g   uFG uFG g   uFG uFG uFG w   w
w   w   w   w   w   w   w   w   uFG uFG uFG uFG uFG g   w   w   w
w   w   w   w   w   w   w   w   uFG uFG uFG uFG uFG w   w   w   w
w   w   w   w   w   w   w   w   g   uFG uFG g   w   w   w   w   w
w   w   w   w   w   w   w   w   uFG uFG uFG w   w   w   w   w   w
w   w   w   w   w   w   w   w   uFG uFG w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   i   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w

lat lG00  1 0.0 0.0 17 17  1.25984
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG
uFG uFG uFG uFG uFG g   uFG uFG g   uFG uFG g   uFG uFG uFG uFG uFG
uFG uFG uFG g   uFG uFG uFG uFG uFG uFG uFG uFG uFG g   uFG uFG uFG
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG
uFG uFG g   uFG uFG g   uFG uFG g   uFG uFG g   uFG uFG g   uFG uFG
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG
uFG uFG g   uFG uFG g   uFG uFG i   uFG uFG g   uFG uFG g   uFG uFG
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG
uFG uFG g   uFG uFG g   uFG uFG g   uFG uFG g   uFG uFG g   uFG uFG
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG
uFG uFG uFG g   uFG uFG uFG uFG uFG uFG uFG uFG uFG g   uFG uFG uFG
uFG uFG uFG uFG uFG g   uFG uFG g   uFG uFG g   uFG uFG uFG uFG uFG
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Lattice 4BA, Figure 15, polttoaine?

lat lG04s 1 0.0 0.0 17 17 1.25984
w   w   w   w   w   w   w   w   uFG uFG uFG uFG uFG uFG uFG uFG uFG
w   w   w   w   w   w   w   w   uFG uFG uFG uFG uFG uFG uFG uFG w
w   w   w   w   w   w   w   w   g   uFG uFG g   uFG uFG uFG w   w
w   w   w   w   w   w   w   w   uFG uFG uFG uFG uFG b   w   w   w
w   w   w   w   w   w   w   w   uFG uFG uFG uFG uFG w   w   w   w
w   w   w   w   w   w   w   w   g   uFG uFG g   w   w   w   w   w
w   w   w   w   w   w   w   w   uFG uFG uFG w   w   w   w   w   w
w   w   w   w   w   w   w   w   uFG uFG w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   i   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w

lat lG04  1 0.0 0.0 17 17  1.25984
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG
uFG uFG uFG uFG uFG g   uFG uFG g   uFG uFG g   uFG uFG uFG uFG uFG
uFG uFG uFG b   uFG uFG uFG uFG uFG uFG uFG uFG uFG b   uFG uFG uFG
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG
uFG uFG g   uFG uFG g   uFG uFG g   uFG uFG g   uFG uFG g   uFG uFG
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG
uFG uFG g   uFG uFG g   uFG uFG i   uFG uFG g   uFG uFG g   uFG uFG
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG
uFG uFG g   uFG uFG g   uFG uFG g   uFG uFG g   uFG uFG g   uFG uFG
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG
uFG uFG uFG b   uFG uFG uFG uFG uFG uFG uFG uFG uFG b   uFG uFG uFG
uFG uFG uFG uFG uFG g   uFG uFG g   uFG uFG g   uFG uFG uFG uFG uFG
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Lattice 6BA, Figure 16, polttoaine?

lat lG06s 1 0.0 0.0 17 17 1.25984
w   w   w   w   w   w   w   w   uFG uFG uFG uFG uFG uFG uFG uFG uFG
w   w   w   w   w   w   w   w   uFG uFG uFG uFG uFG uFG uFG uFG uFG
w   w   w   w   w   w   w   w   g   uFG uFG b   uFG uFG uFG uFG uFG
w   w   w   w   w   w   w   w   uFG uFG uFG uFG uFG b   uFG uFG uFG
w   w   w   w   w   w   w   w   uFG uFG uFG uFG uFG uFG uFG uFG uFG
w   w   w   w   w   w   w   w   g   uFG uFG g   uFG uFG b   uFG uFG
w   w   w   w   w   w   w   w   uFG uFG uFG uFG uFG uFG uFG uFG uFG
w   w   w   w   w   w   w   w   uFG uFG uFG uFG uFG uFG uFG uFG uFG
w   w   w   w   w   w   w   w   i   uFG uFG g   uFG uFG g   uFG uFG
w   w   w   w   w   w   w   w   uFG uFG uFG uFG uFG uFG uFG uFG uFG
w   w   w   w   w   w   w   w   uFG uFG uFG uFG uFG uFG uFG uFG uFG
w   w   w   w   w   w   w   w   g   uFG uFG g   uFG uFG g   uFG uFG
w   w   w   w   w   w   w   w   uFG uFG uFG uFG uFG uFG uFG uFG uFG
w   w   w   w   w   w   w   w   uFG uFG uFG uFG uFG g   uFG uFG uFG
w   w   w   w   w   w   w   w   g   uFG uFG g   uFG uFG uFG uFG uFG
w   w   w   w   w   w   w   w   uFG uFG uFG uFG uFG uFG uFG uFG uFG
w   w   w   w   w   w   w   w   uFG uFG uFG uFG uFG uFG uFG uFG uFG

lat lG06  1 0.0 0.0 17 17  1.25984
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG
uFG uFG uFG uFG uFG b   uFG uFG g   uFG uFG b   uFG uFG uFG uFG uFG
uFG uFG uFG b   uFG uFG uFG uFG uFG uFG uFG uFG uFG b   uFG uFG uFG
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG
uFG uFG b   uFG uFG g   uFG uFG g   uFG uFG g   uFG uFG b   uFG uFG
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG
uFG uFG g   uFG uFG g   uFG uFG i   uFG uFG g   uFG uFG g   uFG uFG
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG
uFG uFG g   uFG uFG g   uFG uFG g   uFG uFG g   uFG uFG g   uFG uFG
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG
uFG uFG uFG g   uFG uFG uFG uFG uFG uFG uFG uFG uFG g   uFG uFG uFG
uFG uFG uFG uFG uFG g   uFG uFG g   uFG uFG g   uFG uFG uFG uFG uFG
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Lattice 8BA, Figure 17, polttoaine?

lat lG08s 1 0.0 0.0 17 17 1.25984
w   w   w   w   w   w   w   w   uFG uFG uFG uFG uFG uFG uFG uFG uFG
w   w   w   w   w   w   w   w   uFG uFG uFG uFG uFG uFG uFG uFG w
w   w   w   w   w   w   w   w   g   uFG uFG g   uFG uFG uFG w   w
w   w   w   w   w   w   w   w   uFG uFG uFG uFG uFG b   w   w   w
w   w   w   w   w   w   w   w   uFG uFG uFG uFG uFG w   w   w   w
w   w   w   w   w   w   w   w   b   uFG uFG g   w   w   w   w   w
w   w   w   w   w   w   w   w   uFG uFG uFG w   w   w   w   w   w
w   w   w   w   w   w   w   w   uFG uFG w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   i   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w

lat lG08  1 0.0 0.0 17 17  1.25984
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG
uFG uFG uFG uFG uFG g   uFG uFG g   uFG uFG g   uFG uFG uFG uFG uFG
uFG uFG uFG b   uFG uFG uFG uFG uFG uFG uFG uFG uFG b   uFG uFG uFG
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG
uFG uFG g   uFG uFG g   uFG uFG b   uFG uFG g   uFG uFG g   uFG uFG
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG
uFG uFG g   uFG uFG b   uFG uFG i   uFG uFG b   uFG uFG g   uFG uFG
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG
uFG uFG g   uFG uFG g   uFG uFG b   uFG uFG g   uFG uFG g   uFG uFG
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG
uFG uFG uFG b   uFG uFG uFG uFG uFG uFG uFG uFG uFG b   uFG uFG uFG
uFG uFG uFG uFG uFG g   uFG uFG g   uFG uFG g   uFG uFG uFG uFG uFG
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Lattice 12BA, Figure 19, polttoaine?

lat lG12s 1 0.0 0.0 17 17 1.25984
w   w   w   w   w   w   w   w   uFG uFG uFG uFG uFG uFG uFG uFG uFG
w   w   w   w   w   w   w   w   uFG uFG uFG uFG uFG uFG uFG uFG w
w   w   w   w   w   w   w   w   g   uFG uFG b   uFG uFG uFG w   w
w   w   w   w   w   w   w   w   uFG uFG uFG uFG uFG g   w   w   w
w   w   w   w   w   w   w   w   uFG uFG uFG uFG uFG w   w   w   w
w   w   w   w   w   w   w   w   b   uFG uFG g   w   w   w   w   w
w   w   w   w   w   w   w   w   uFG uFG uFG w   w   w   w   w   w
w   w   w   w   w   w   w   w   uFG uFG w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   i   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w

lat lG12  1 0.0 0.0 17 17  1.25984
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG
uFG uFG uFG uFG uFG b   uFG uFG g   uFG uFG b   uFG uFG uFG uFG uFG
uFG uFG uFG g   uFG uFG uFG uFG uFG uFG uFG uFG uFG g   uFG uFG uFG
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG
uFG uFG b   uFG uFG g   uFG uFG b   uFG uFG g   uFG uFG b   uFG uFG
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG
uFG uFG g   uFG uFG b   uFG uFG i   uFG uFG b   uFG uFG g   uFG uFG
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG
uFG uFG b   uFG uFG g   uFG uFG b   uFG uFG g   uFG uFG b   uFG uFG
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG
uFG uFG uFG g   uFG uFG uFG uFG uFG uFG uFG uFG uFG g   uFG uFG uFG
uFG uFG uFG uFG uFG b   uFG uFG g   uFG uFG b   uFG uFG uFG uFG uFG
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Lattice 15BA, Figure 20, polttoaine?

lat lG15s 1 0.0 0.0 17 17 1.25984
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG
uFG uFG uFG uFG uFG b   uFG uFG b   uFG uFG b   uFG uFG uFG uFG uFG
uFG uFG uFG b   uFG uFG uFG uFG uFG uFG uFG uFG uFG g   uFG uFG uFG
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG
uFG uFG b   uFG uFG b   uFG uFG b   uFG uFG b   uFG uFG g   uFG uFG
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG
uFG uFG b   uFG uFG b   uFG uFG i   uFG uFG b   uFG uFG g   uFG uFG
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG
uFG uFG b   uFG uFG b   uFG uFG b   uFG uFG b   uFG uFG g   uFG uFG
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG
uFG uFG uFG g   uFG uFG uFG uFG uFG uFG uFG uFG uFG g   uFG uFG uFG
uFG uFG uFG uFG uFG g   uFG uFG g   uFG uFG g   uFG uFG uFG uFG uFG
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG

lat lG15  1 0.0 0.0 17 17  1.25984
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG
uFG uFG uFG uFG uFG b   uFG uFG b   uFG uFG b   uFG uFG uFG uFG uFG
uFG uFG uFG b   uFG uFG uFG uFG uFG uFG uFG uFG uFG g   uFG uFG uFG
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG
uFG uFG b   uFG uFG b   uFG uFG b   uFG uFG b   uFG uFG g   uFG uFG
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG
uFG uFG b   uFG uFG b   uFG uFG i   uFG uFG b   uFG uFG g   uFG uFG
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG
uFG uFG b   uFG uFG b   uFG uFG b   uFG uFG b   uFG uFG g   uFG uFG
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG
uFG uFG uFG g   uFG uFG uFG uFG uFG uFG uFG uFG uFG g   uFG uFG uFG
uFG uFG uFG uFG uFG g   uFG uFG g   uFG uFG g   uFG uFG uFG uFG uFG
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Lattice 16BA, Figure 21, polttoaine?

lat lG16s 1 0.0 0.0 17 17 1.25984
w   w   w   w   w   w   w   w   uFG uFG uFG uFG uFG uFG uFG uFG uFG
w   w   w   w   w   w   w   w   uFG uFG uFG uFG uFG uFG uFG uFG w
w   w   w   w   w   w   w   w   b   uFG uFG b   uFG uFG uFG w   w
w   w   w   w   w   w   w   w   uFG uFG uFG uFG uFG b   w   w   w
w   w   w   w   w   w   w   w   uFG uFG uFG uFG uFG w   w   w   w
w   w   w   w   w   w   w   w   g   uFG uFG g   w   w   w   w   w
w   w   w   w   w   w   w   w   uFG uFG uFG w   w   w   w   w   w
w   w   w   w   w   w   w   w   uFG uFG w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   i   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w

lat lG16  1 0.0 0.0 17 17  1.25984
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG
uFG uFG uFG uFG uFG b   uFG uFG b   uFG uFG b   uFG uFG uFG uFG uFG
uFG uFG uFG b   uFG uFG uFG uFG uFG uFG uFG uFG uFG b   uFG uFG uFG
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG
uFG uFG b   uFG uFG g   uFG uFG g   uFG uFG g   uFG uFG b   uFG uFG
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG
uFG uFG b   uFG uFG g   uFG uFG i   uFG uFG g   uFG uFG b   uFG uFG
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG
uFG uFG b   uFG uFG g   uFG uFG g   uFG uFG g   uFG uFG b   uFG uFG
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG
uFG uFG uFG b   uFG uFG uFG uFG uFG uFG uFG uFG uFG b   uFG uFG uFG
uFG uFG uFG uFG uFG b   uFG uFG b   uFG uFG b   uFG uFG uFG uFG uFG
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Lattice 20BA, Figure 22 with 3.4 wt-% enriched uranium

lat lG20s 1 0.0 0.0 17 17 1.25984
w   w   w   w   w   w   w   w   uFG uFG uFG uFG uFG uFG uFG uFG uFG
w   w   w   w   w   w   w   w   uFG uFG uFG uFG uFG uFG uFG uFG w
w   w   w   w   w   w   w   w   b   uFG uFG b   uFG uFG uFG w   w
w   w   w   w   w   w   w   w   uFG uFG uFG uFG uFG b   w   w   w
w   w   w   w   w   w   w   w   uFG uFG uFG uFG uFG w   w   w   w
w   w   w   w   w   w   w   w   g   uFG uFG b   w   w   w   w   w
w   w   w   w   w   w   w   w   uFG uFG uFG w   w   w   w   w   w
w   w   w   w   w   w   w   w   uFG uFG w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   i   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w

lat lG20  1 0.0 0.0 17 17  1.25984
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG
uFG uFG uFG uFG uFG b   uFG uFG b   uFG uFG b   uFG uFG uFG uFG uFG
uFG uFG uFG b   uFG uFG uFG uFG uFG uFG uFG uFG uFG b   uFG uFG uFG
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG
uFG uFG b   uFG uFG b   uFG uFG g   uFG uFG b   uFG uFG b   uFG uFG
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG
uFG uFG b   uFG uFG g   uFG uFG i   uFG uFG g   uFG uFG b   uFG uFG
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG
uFG uFG b   uFG uFG b   uFG uFG g   uFG uFG b   uFG uFG b   uFG uFG
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG
uFG uFG uFG b   uFG uFG uFG uFG uFG uFG uFG uFG uFG b   uFG uFG uFG
uFG uFG uFG uFG uFG b   uFG uFG b   uFG uFG b   uFG uFG uFG uFG uFG
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG
uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG uFG

% --- Symmetry to the lattices
%     Symmetry axis is the z-axis (3)
%     Symmetry boundary condition is reflective (2)
%     Symmetry axis is located at coordinates (0.0 0.0)
%     Symmetry covers an angle starting from 270 degrees
%     and extending for 45 degrees

set usym lG00s 3 2 0.0 0.0 270 45
set usym lG04s 3 2 0.0 0.0 270 45
set usym lG06s 3 2 0.0 0.0 270 180
set usym lG08s 3 2 0.0 0.0 270 45
set usym lG12s 3 2 0.0 0.0 270 45
set usym lG15s 3 2 0.0 0.0 270 45
set usym lG16s 3 2 0.0 0.0 270 45
set usym lG20s 3 2 0.0 0.0 270 45