/************************
 * Assembly definitions *
 ************************/

%     Lattice type 1 (square lattice)
%     Lattice centered at 0.0 0.0
%     17 x 17 lattice elements
%     Lattice pitch 1.25984 cm

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% BEAVRS Benchmark Figure 14 with 1.6 wt-% enriched uranium

lat lO00s 1 0.0 0.0 17 17  1.25984
w   w   w   w   w   w   w   w   uFO uFO uFO uFO uFO uFO uFO uFO uFO
w   w   w   w   w   w   w   w   uFO uFO uFO uFO uFO uFO uFO uFO w
w   w   w   w   w   w   w   w   g   uFO uFO g   uFO uFO uFO w   w
w   w   w   w   w   w   w   w   uFO uFO uFO uFO uFO g   w   w   w
w   w   w   w   w   w   w   w   uFO uFO uFO uFO uFO w   w   w   w
w   w   w   w   w   w   w   w   g   uFO uFO g   w   w   w   w   w
w   w   w   w   w   w   w   w   uFO uFO uFO w   w   w   w   w   w
w   w   w   w   w   w   w   w   uFO uFO w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   i   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w

lat lO00  1 0.0 0.0 17 17  1.25984
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO
uFO uFO uFO uFO uFO g   uFO uFO g   uFO uFO g   uFO uFO uFO uFO uFO
uFO uFO uFO g   uFO uFO uFO uFO uFO uFO uFO uFO uFO g   uFO uFO uFO
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO
uFO uFO g   uFO uFO g   uFO uFO g   uFO uFO g   uFO uFO g   uFO uFO
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO
uFO uFO g   uFO uFO g   uFO uFO i   uFO uFO g   uFO uFO g   uFO uFO
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO
uFO uFO g   uFO uFO g   uFO uFO g   uFO uFO g   uFO uFO g   uFO uFO
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO
uFO uFO uFO g   uFO uFO uFO uFO uFO uFO uFO uFO uFO g   uFO uFO uFO
uFO uFO uFO uFO uFO g   uFO uFO g   uFO uFO g   uFO uFO uFO uFO uFO
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Lattice 4BA, Figure 15, polttoaine?

lat lO04s 1 0.0 0.0 17 17 1.25984
w   w   w   w   w   w   w   w   uFO uFO uFO uFO uFO uFO uFO uFO uFO
w   w   w   w   w   w   w   w   uFO uFO uFO uFO uFO uFO uFO uFO w
w   w   w   w   w   w   w   w   g   uFO uFO g   uFO uFO uFO w   w
w   w   w   w   w   w   w   w   uFO uFO uFO uFO uFO b   w   w   w
w   w   w   w   w   w   w   w   uFO uFO uFO uFO uFO w   w   w   w
w   w   w   w   w   w   w   w   g   uFO uFO g   w   w   w   w   w
w   w   w   w   w   w   w   w   uFO uFO uFO w   w   w   w   w   w
w   w   w   w   w   w   w   w   uFO uFO w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   i   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w

lat lO04  1 0.0 0.0 17 17  1.25984
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO
uFO uFO uFO uFO uFO g   uFO uFO g   uFO uFO g   uFO uFO uFO uFO uFO
uFO uFO uFO b   uFO uFO uFO uFO uFO uFO uFO uFO uFO b   uFO uFO uFO
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO
uFO uFO g   uFO uFO g   uFO uFO g   uFO uFO g   uFO uFO g   uFO uFO
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO
uFO uFO g   uFO uFO g   uFO uFO i   uFO uFO g   uFO uFO g   uFO uFO
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO
uFO uFO g   uFO uFO g   uFO uFO g   uFO uFO g   uFO uFO g   uFO uFO
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO
uFO uFO uFO b   uFO uFO uFO uFO uFO uFO uFO uFO uFO b   uFO uFO uFO
uFO uFO uFO uFO uFO g   uFO uFO g   uFO uFO g   uFO uFO uFO uFO uFO
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Lattice 6BA, Figure 16, polttoaine?

lat lO06s 1 0.0 0.0 17 17 1.25984
w   w   w   w   w   w   w   w   uFO uFO uFO uFO uFO uFO uFO uFO uFO
w   w   w   w   w   w   w   w   uFO uFO uFO uFO uFO uFO uFO uFO uFO
w   w   w   w   w   w   w   w   g   uFO uFO b   uFO uFO uFO uFO uFO
w   w   w   w   w   w   w   w   uFO uFO uFO uFO uFO b   uFO uFO uFO
w   w   w   w   w   w   w   w   uFO uFO uFO uFO uFO uFO uFO uFO uFO
w   w   w   w   w   w   w   w   g   uFO uFO g   uFO uFO b   uFO uFO
w   w   w   w   w   w   w   w   uFO uFO uFO uFO uFO uFO uFO uFO uFO
w   w   w   w   w   w   w   w   uFO uFO uFO uFO uFO uFO uFO uFO uFO
w   w   w   w   w   w   w   w   i   uFO uFO g   uFO uFO g   uFO uFO
w   w   w   w   w   w   w   w   uFO uFO uFO uFO uFO uFO uFO uFO uFO
w   w   w   w   w   w   w   w   uFO uFO uFO uFO uFO uFO uFO uFO uFO
w   w   w   w   w   w   w   w   g   uFO uFO g   uFO uFO g   uFO uFO
w   w   w   w   w   w   w   w   uFO uFO uFO uFO uFO uFO uFO uFO uFO
w   w   w   w   w   w   w   w   uFO uFO uFO uFO uFO g   uFO uFO uFO
w   w   w   w   w   w   w   w   g   uFO uFO g   uFO uFO uFO uFO uFO
w   w   w   w   w   w   w   w   uFO uFO uFO uFO uFO uFO uFO uFO uFO
w   w   w   w   w   w   w   w   uFO uFO uFO uFO uFO uFO uFO uFO uFO

lat lO06  1 0.0 0.0 17 17  1.25984
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO
uFO uFO uFO uFO uFO b   uFO uFO g   uFO uFO b   uFO uFO uFO uFO uFO
uFO uFO uFO b   uFO uFO uFO uFO uFO uFO uFO uFO uFO b   uFO uFO uFO
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO
uFO uFO b   uFO uFO g   uFO uFO g   uFO uFO g   uFO uFO b   uFO uFO
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO
uFO uFO g   uFO uFO g   uFO uFO i   uFO uFO g   uFO uFO g   uFO uFO
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO
uFO uFO g   uFO uFO g   uFO uFO g   uFO uFO g   uFO uFO g   uFO uFO
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO
uFO uFO uFO g   uFO uFO uFO uFO uFO uFO uFO uFO uFO g   uFO uFO uFO
uFO uFO uFO uFO uFO g   uFO uFO g   uFO uFO g   uFO uFO uFO uFO uFO
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Lattice 8BA, Figure 17, polttoaine?

lat lO08s 1 0.0 0.0 17 17 1.25984
w   w   w   w   w   w   w   w   uFO uFO uFO uFO uFO uFO uFO uFO uFO
w   w   w   w   w   w   w   w   uFO uFO uFO uFO uFO uFO uFO uFO w
w   w   w   w   w   w   w   w   g   uFO uFO g   uFO uFO uFO w   w
w   w   w   w   w   w   w   w   uFO uFO uFO uFO uFO b   w   w   w
w   w   w   w   w   w   w   w   uFO uFO uFO uFO uFO w   w   w   w
w   w   w   w   w   w   w   w   b   uFO uFO g   w   w   w   w   w
w   w   w   w   w   w   w   w   uFO uFO uFO w   w   w   w   w   w
w   w   w   w   w   w   w   w   uFO uFO w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   i   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w

lat lO08  1 0.0 0.0 17 17  1.25984
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO
uFO uFO uFO uFO uFO g   uFO uFO g   uFO uFO g   uFO uFO uFO uFO uFO
uFO uFO uFO b   uFO uFO uFO uFO uFO uFO uFO uFO uFO b   uFO uFO uFO
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO
uFO uFO g   uFO uFO g   uFO uFO b   uFO uFO g   uFO uFO g   uFO uFO
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO
uFO uFO g   uFO uFO b   uFO uFO i   uFO uFO b   uFO uFO g   uFO uFO
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO
uFO uFO g   uFO uFO g   uFO uFO b   uFO uFO g   uFO uFO g   uFO uFO
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO
uFO uFO uFO b   uFO uFO uFO uFO uFO uFO uFO uFO uFO b   uFO uFO uFO
uFO uFO uFO uFO uFO g   uFO uFO g   uFO uFO g   uFO uFO uFO uFO uFO
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Lattice 12BA, Figure 19, polttoaine?

lat lO12s 1 0.0 0.0 17 17 1.25984
w   w   w   w   w   w   w   w   uFO uFO uFO uFO uFO uFO uFO uFO uFO
w   w   w   w   w   w   w   w   uFO uFO uFO uFO uFO uFO uFO uFO w
w   w   w   w   w   w   w   w   g   uFO uFO b   uFO uFO uFO w   w
w   w   w   w   w   w   w   w   uFO uFO uFO uFO uFO g   w   w   w
w   w   w   w   w   w   w   w   uFO uFO uFO uFO uFO w   w   w   w
w   w   w   w   w   w   w   w   b   uFO uFO g   w   w   w   w   w
w   w   w   w   w   w   w   w   uFO uFO uFO w   w   w   w   w   w
w   w   w   w   w   w   w   w   uFO uFO w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   i   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w

lat lO12  1 0.0 0.0 17 17  1.25984
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO
uFO uFO uFO uFO uFO b   uFO uFO g   uFO uFO b   uFO uFO uFO uFO uFO
uFO uFO uFO g   uFO uFO uFO uFO uFO uFO uFO uFO uFO g   uFO uFO uFO
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO
uFO uFO b   uFO uFO g   uFO uFO b   uFO uFO g   uFO uFO b   uFO uFO
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO
uFO uFO g   uFO uFO b   uFO uFO i   uFO uFO b   uFO uFO g   uFO uFO
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO
uFO uFO b   uFO uFO g   uFO uFO b   uFO uFO g   uFO uFO b   uFO uFO
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO
uFO uFO uFO g   uFO uFO uFO uFO uFO uFO uFO uFO uFO g   uFO uFO uFO
uFO uFO uFO uFO uFO b   uFO uFO g   uFO uFO b   uFO uFO uFO uFO uFO
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Lattice 15BA, Figure 20, polttoaine?

lat lO15s 1 0.0 0.0 17 17 1.25984
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO
uFO uFO uFO uFO uFO b   uFO uFO b   uFO uFO b   uFO uFO uFO uFO uFO
uFO uFO uFO b   uFO uFO uFO uFO uFO uFO uFO uFO uFO g   uFO uFO uFO
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO
uFO uFO b   uFO uFO b   uFO uFO b   uFO uFO b   uFO uFO g   uFO uFO
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO
uFO uFO b   uFO uFO b   uFO uFO i   uFO uFO b   uFO uFO g   uFO uFO
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO
uFO uFO b   uFO uFO b   uFO uFO b   uFO uFO b   uFO uFO g   uFO uFO
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO
uFO uFO uFO g   uFO uFO uFO uFO uFO uFO uFO uFO uFO g   uFO uFO uFO
uFO uFO uFO uFO uFO g   uFO uFO g   uFO uFO g   uFO uFO uFO uFO uFO
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO

lat lO15  1 0.0 0.0 17 17  1.25984
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO
uFO uFO uFO uFO uFO b   uFO uFO b   uFO uFO b   uFO uFO uFO uFO uFO
uFO uFO uFO b   uFO uFO uFO uFO uFO uFO uFO uFO uFO g   uFO uFO uFO
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO
uFO uFO b   uFO uFO b   uFO uFO b   uFO uFO b   uFO uFO g   uFO uFO
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO
uFO uFO b   uFO uFO b   uFO uFO i   uFO uFO b   uFO uFO g   uFO uFO
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO
uFO uFO b   uFO uFO b   uFO uFO b   uFO uFO b   uFO uFO g   uFO uFO
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO
uFO uFO uFO g   uFO uFO uFO uFO uFO uFO uFO uFO uFO g   uFO uFO uFO
uFO uFO uFO uFO uFO g   uFO uFO g   uFO uFO g   uFO uFO uFO uFO uFO
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Lattice 16BA, Figure 21, polttoaine?

lat lO16s 1 0.0 0.0 17 17 1.25984
w   w   w   w   w   w   w   w   uFO uFO uFO uFO uFO uFO uFO uFO uFO
w   w   w   w   w   w   w   w   uFO uFO uFO uFO uFO uFO uFO uFO w
w   w   w   w   w   w   w   w   b   uFO uFO b   uFO uFO uFO w   w
w   w   w   w   w   w   w   w   uFO uFO uFO uFO uFO b   w   w   w
w   w   w   w   w   w   w   w   uFO uFO uFO uFO uFO w   w   w   w
w   w   w   w   w   w   w   w   g   uFO uFO g   w   w   w   w   w
w   w   w   w   w   w   w   w   uFO uFO uFO w   w   w   w   w   w
w   w   w   w   w   w   w   w   uFO uFO w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   i   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w

lat lO16  1 0.0 0.0 17 17  1.25984
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO
uFO uFO uFO uFO uFO b   uFO uFO b   uFO uFO b   uFO uFO uFO uFO uFO
uFO uFO uFO b   uFO uFO uFO uFO uFO uFO uFO uFO uFO b   uFO uFO uFO
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO
uFO uFO b   uFO uFO g   uFO uFO g   uFO uFO g   uFO uFO b   uFO uFO
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO
uFO uFO b   uFO uFO g   uFO uFO i   uFO uFO g   uFO uFO b   uFO uFO
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO
uFO uFO b   uFO uFO g   uFO uFO g   uFO uFO g   uFO uFO b   uFO uFO
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO
uFO uFO uFO b   uFO uFO uFO uFO uFO uFO uFO uFO uFO b   uFO uFO uFO
uFO uFO uFO uFO uFO b   uFO uFO b   uFO uFO b   uFO uFO uFO uFO uFO
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Lattice 20BA, Figure 22 with 3.4 wt-% enriched uranium

lat lO20s 1 0.0 0.0 17 17 1.25984
w   w   w   w   w   w   w   w   uFO uFO uFO uFO uFO uFO uFO uFO uFO
w   w   w   w   w   w   w   w   uFO uFO uFO uFO uFO uFO uFO uFO w
w   w   w   w   w   w   w   w   b   uFO uFO b   uFO uFO uFO w   w
w   w   w   w   w   w   w   w   uFO uFO uFO uFO uFO b   w   w   w
w   w   w   w   w   w   w   w   uFO uFO uFO uFO uFO w   w   w   w
w   w   w   w   w   w   w   w   g   uFO uFO b   w   w   w   w   w
w   w   w   w   w   w   w   w   uFO uFO uFO w   w   w   w   w   w
w   w   w   w   w   w   w   w   uFO uFO w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   i   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w

lat lO20  1 0.0 0.0 17 17  1.25984
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO
uFO uFO uFO uFO uFO b   uFO uFO b   uFO uFO b   uFO uFO uFO uFO uFO
uFO uFO uFO b   uFO uFO uFO uFO uFO uFO uFO uFO uFO b   uFO uFO uFO
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO
uFO uFO b   uFO uFO b   uFO uFO g   uFO uFO b   uFO uFO b   uFO uFO
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO
uFO uFO b   uFO uFO g   uFO uFO i   uFO uFO g   uFO uFO b   uFO uFO
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO
uFO uFO b   uFO uFO b   uFO uFO g   uFO uFO b   uFO uFO b   uFO uFO
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO
uFO uFO uFO b   uFO uFO uFO uFO uFO uFO uFO uFO uFO b   uFO uFO uFO
uFO uFO uFO uFO uFO b   uFO uFO b   uFO uFO b   uFO uFO uFO uFO uFO
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO
uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO uFO

% --- Symmetry to the lattices
%     Symmetry axis is the z-axis (3)
%     Symmetry boundary condition is reflective (2)
%     Symmetry axis is located at coordinates (0.0 0.0)
%     Symmetry covers an angle starting from 270 degrees
%     and extending for 45 degrees

set usym lO00s 3 2 0.0 0.0 270 45
set usym lO04s 3 2 0.0 0.0 270 45
set usym lO06s 3 2 0.0 0.0 270 180
set usym lO08s 3 2 0.0 0.0 270 45
set usym lO12s 3 2 0.0 0.0 270 45
set usym lO15s 3 2 0.0 0.0 270 45
set usym lO16s 3 2 0.0 0.0 270 45
set usym lO20s 3 2 0.0 0.0 270 45