/************************
 * Assembly definitions *
 ************************/

%     Lattice type 1 (square lattice)
%     Lattice centered at 0.0 0.0
%     17 x 17 lattice elements
%     Lattice pitch 1.25984 cm

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% BEAVRS Benchmark Figure 14 with 1.6 wt-% enriched uranium

lat lY00s 1 0.0 0.0 17 17  1.25984
w   w   w   w   w   w   w   w   uFY uFY uFY uFY uFY uFY uFY uFY uFY
w   w   w   w   w   w   w   w   uFY uFY uFY uFY uFY uFY uFY uFY w
w   w   w   w   w   w   w   w   g   uFY uFY g   uFY uFY uFY w   w
w   w   w   w   w   w   w   w   uFY uFY uFY uFY uFY g   w   w   w
w   w   w   w   w   w   w   w   uFY uFY uFY uFY uFY w   w   w   w
w   w   w   w   w   w   w   w   g   uFY uFY g   w   w   w   w   w
w   w   w   w   w   w   w   w   uFY uFY uFY w   w   w   w   w   w
w   w   w   w   w   w   w   w   uFY uFY w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   i   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w

lat lY00  1 0.0 0.0 17 17  1.25984
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY
uFY uFY uFY uFY uFY g   uFY uFY g   uFY uFY g   uFY uFY uFY uFY uFY
uFY uFY uFY g   uFY uFY uFY uFY uFY uFY uFY uFY uFY g   uFY uFY uFY
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY
uFY uFY g   uFY uFY g   uFY uFY g   uFY uFY g   uFY uFY g   uFY uFY
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY
uFY uFY g   uFY uFY g   uFY uFY i   uFY uFY g   uFY uFY g   uFY uFY
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY
uFY uFY g   uFY uFY g   uFY uFY g   uFY uFY g   uFY uFY g   uFY uFY
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY
uFY uFY uFY g   uFY uFY uFY uFY uFY uFY uFY uFY uFY g   uFY uFY uFY
uFY uFY uFY uFY uFY g   uFY uFY g   uFY uFY g   uFY uFY uFY uFY uFY
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Lattice 4BA, Figure 15, polttoaine?

lat lY04s 1 0.0 0.0 17 17 1.25984
w   w   w   w   w   w   w   w   uFY uFY uFY uFY uFY uFY uFY uFY uFY
w   w   w   w   w   w   w   w   uFY uFY uFY uFY uFY uFY uFY uFY w
w   w   w   w   w   w   w   w   g   uFY uFY g   uFY uFY uFY w   w
w   w   w   w   w   w   w   w   uFY uFY uFY uFY uFY b   w   w   w
w   w   w   w   w   w   w   w   uFY uFY uFY uFY uFY w   w   w   w
w   w   w   w   w   w   w   w   g   uFY uFY g   w   w   w   w   w
w   w   w   w   w   w   w   w   uFY uFY uFY w   w   w   w   w   w
w   w   w   w   w   w   w   w   uFY uFY w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   i   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w

lat lY04  1 0.0 0.0 17 17  1.25984
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY
uFY uFY uFY uFY uFY g   uFY uFY g   uFY uFY g   uFY uFY uFY uFY uFY
uFY uFY uFY b   uFY uFY uFY uFY uFY uFY uFY uFY uFY b   uFY uFY uFY
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY
uFY uFY g   uFY uFY g   uFY uFY g   uFY uFY g   uFY uFY g   uFY uFY
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY
uFY uFY g   uFY uFY g   uFY uFY i   uFY uFY g   uFY uFY g   uFY uFY
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY
uFY uFY g   uFY uFY g   uFY uFY g   uFY uFY g   uFY uFY g   uFY uFY
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY
uFY uFY uFY b   uFY uFY uFY uFY uFY uFY uFY uFY uFY b   uFY uFY uFY
uFY uFY uFY uFY uFY g   uFY uFY g   uFY uFY g   uFY uFY uFY uFY uFY
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Lattice 6BA, Figure 16, polttoaine?

lat lY06s 1 0.0 0.0 17 17 1.25984
w   w   w   w   w   w   w   w   uFY uFY uFY uFY uFY uFY uFY uFY uFY
w   w   w   w   w   w   w   w   uFY uFY uFY uFY uFY uFY uFY uFY uFY
w   w   w   w   w   w   w   w   g   uFY uFY b   uFY uFY uFY uFY uFY
w   w   w   w   w   w   w   w   uFY uFY uFY uFY uFY b   uFY uFY uFY
w   w   w   w   w   w   w   w   uFY uFY uFY uFY uFY uFY uFY uFY uFY
w   w   w   w   w   w   w   w   g   uFY uFY g   uFY uFY b   uFY uFY
w   w   w   w   w   w   w   w   uFY uFY uFY uFY uFY uFY uFY uFY uFY
w   w   w   w   w   w   w   w   uFY uFY uFY uFY uFY uFY uFY uFY uFY
w   w   w   w   w   w   w   w   i   uFY uFY g   uFY uFY g   uFY uFY
w   w   w   w   w   w   w   w   uFY uFY uFY uFY uFY uFY uFY uFY uFY
w   w   w   w   w   w   w   w   uFY uFY uFY uFY uFY uFY uFY uFY uFY
w   w   w   w   w   w   w   w   g   uFY uFY g   uFY uFY g   uFY uFY
w   w   w   w   w   w   w   w   uFY uFY uFY uFY uFY uFY uFY uFY uFY
w   w   w   w   w   w   w   w   uFY uFY uFY uFY uFY g   uFY uFY uFY
w   w   w   w   w   w   w   w   g   uFY uFY g   uFY uFY uFY uFY uFY
w   w   w   w   w   w   w   w   uFY uFY uFY uFY uFY uFY uFY uFY uFY
w   w   w   w   w   w   w   w   uFY uFY uFY uFY uFY uFY uFY uFY uFY

lat lY06  1 0.0 0.0 17 17  1.25984
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY
uFY uFY uFY uFY uFY b   uFY uFY g   uFY uFY b   uFY uFY uFY uFY uFY
uFY uFY uFY b   uFY uFY uFY uFY uFY uFY uFY uFY uFY b   uFY uFY uFY
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY
uFY uFY b   uFY uFY g   uFY uFY g   uFY uFY g   uFY uFY b   uFY uFY
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY
uFY uFY g   uFY uFY g   uFY uFY i   uFY uFY g   uFY uFY g   uFY uFY
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY
uFY uFY g   uFY uFY g   uFY uFY g   uFY uFY g   uFY uFY g   uFY uFY
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY
uFY uFY uFY g   uFY uFY uFY uFY uFY uFY uFY uFY uFY g   uFY uFY uFY
uFY uFY uFY uFY uFY g   uFY uFY g   uFY uFY g   uFY uFY uFY uFY uFY
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Lattice 8BA, Figure 17, polttoaine?

lat lY08s 1 0.0 0.0 17 17 1.25984
w   w   w   w   w   w   w   w   uFY uFY uFY uFY uFY uFY uFY uFY uFY
w   w   w   w   w   w   w   w   uFY uFY uFY uFY uFY uFY uFY uFY w
w   w   w   w   w   w   w   w   g   uFY uFY g   uFY uFY uFY w   w
w   w   w   w   w   w   w   w   uFY uFY uFY uFY uFY b   w   w   w
w   w   w   w   w   w   w   w   uFY uFY uFY uFY uFY w   w   w   w
w   w   w   w   w   w   w   w   b   uFY uFY g   w   w   w   w   w
w   w   w   w   w   w   w   w   uFY uFY uFY w   w   w   w   w   w
w   w   w   w   w   w   w   w   uFY uFY w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   i   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w

lat lY08  1 0.0 0.0 17 17  1.25984
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY
uFY uFY uFY uFY uFY g   uFY uFY g   uFY uFY g   uFY uFY uFY uFY uFY
uFY uFY uFY b   uFY uFY uFY uFY uFY uFY uFY uFY uFY b   uFY uFY uFY
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY
uFY uFY g   uFY uFY g   uFY uFY b   uFY uFY g   uFY uFY g   uFY uFY
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY
uFY uFY g   uFY uFY b   uFY uFY i   uFY uFY b   uFY uFY g   uFY uFY
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY
uFY uFY g   uFY uFY g   uFY uFY b   uFY uFY g   uFY uFY g   uFY uFY
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY
uFY uFY uFY b   uFY uFY uFY uFY uFY uFY uFY uFY uFY b   uFY uFY uFY
uFY uFY uFY uFY uFY g   uFY uFY g   uFY uFY g   uFY uFY uFY uFY uFY
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Lattice 12BA, Figure 19, polttoaine?

lat lY12s 1 0.0 0.0 17 17 1.25984
w   w   w   w   w   w   w   w   uFY uFY uFY uFY uFY uFY uFY uFY uFY
w   w   w   w   w   w   w   w   uFY uFY uFY uFY uFY uFY uFY uFY w
w   w   w   w   w   w   w   w   g   uFY uFY b   uFY uFY uFY w   w
w   w   w   w   w   w   w   w   uFY uFY uFY uFY uFY g   w   w   w
w   w   w   w   w   w   w   w   uFY uFY uFY uFY uFY w   w   w   w
w   w   w   w   w   w   w   w   b   uFY uFY g   w   w   w   w   w
w   w   w   w   w   w   w   w   uFY uFY uFY w   w   w   w   w   w
w   w   w   w   w   w   w   w   uFY uFY w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   i   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w

lat lY12  1 0.0 0.0 17 17  1.25984
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY
uFY uFY uFY uFY uFY b   uFY uFY g   uFY uFY b   uFY uFY uFY uFY uFY
uFY uFY uFY g   uFY uFY uFY uFY uFY uFY uFY uFY uFY g   uFY uFY uFY
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY
uFY uFY b   uFY uFY g   uFY uFY b   uFY uFY g   uFY uFY b   uFY uFY
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY
uFY uFY g   uFY uFY b   uFY uFY i   uFY uFY b   uFY uFY g   uFY uFY
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY
uFY uFY b   uFY uFY g   uFY uFY b   uFY uFY g   uFY uFY b   uFY uFY
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY
uFY uFY uFY g   uFY uFY uFY uFY uFY uFY uFY uFY uFY g   uFY uFY uFY
uFY uFY uFY uFY uFY b   uFY uFY g   uFY uFY b   uFY uFY uFY uFY uFY
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Lattice 15BA, Figure 20, polttoaine?

lat lY15s 1 0.0 0.0 17 17 1.25984
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY
uFY uFY uFY uFY uFY b   uFY uFY b   uFY uFY b   uFY uFY uFY uFY uFY
uFY uFY uFY b   uFY uFY uFY uFY uFY uFY uFY uFY uFY g   uFY uFY uFY
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY
uFY uFY b   uFY uFY b   uFY uFY b   uFY uFY b   uFY uFY g   uFY uFY
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY
uFY uFY b   uFY uFY b   uFY uFY i   uFY uFY b   uFY uFY g   uFY uFY
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY
uFY uFY b   uFY uFY b   uFY uFY b   uFY uFY b   uFY uFY g   uFY uFY
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY
uFY uFY uFY g   uFY uFY uFY uFY uFY uFY uFY uFY uFY g   uFY uFY uFY
uFY uFY uFY uFY uFY g   uFY uFY g   uFY uFY g   uFY uFY uFY uFY uFY
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY

lat lY15  1 0.0 0.0 17 17  1.25984
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY
uFY uFY uFY uFY uFY b   uFY uFY b   uFY uFY b   uFY uFY uFY uFY uFY
uFY uFY uFY b   uFY uFY uFY uFY uFY uFY uFY uFY uFY g   uFY uFY uFY
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY
uFY uFY b   uFY uFY b   uFY uFY b   uFY uFY b   uFY uFY g   uFY uFY
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY
uFY uFY b   uFY uFY b   uFY uFY i   uFY uFY b   uFY uFY g   uFY uFY
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY
uFY uFY b   uFY uFY b   uFY uFY b   uFY uFY b   uFY uFY g   uFY uFY
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY
uFY uFY uFY g   uFY uFY uFY uFY uFY uFY uFY uFY uFY g   uFY uFY uFY
uFY uFY uFY uFY uFY g   uFY uFY g   uFY uFY g   uFY uFY uFY uFY uFY
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Lattice 16BA, Figure 21, polttoaine?

lat lY16s 1 0.0 0.0 17 17 1.25984
w   w   w   w   w   w   w   w   uFY uFY uFY uFY uFY uFY uFY uFY uFY
w   w   w   w   w   w   w   w   uFY uFY uFY uFY uFY uFY uFY uFY w
w   w   w   w   w   w   w   w   b   uFY uFY b   uFY uFY uFY w   w
w   w   w   w   w   w   w   w   uFY uFY uFY uFY uFY b   w   w   w
w   w   w   w   w   w   w   w   uFY uFY uFY uFY uFY w   w   w   w
w   w   w   w   w   w   w   w   g   uFY uFY g   w   w   w   w   w
w   w   w   w   w   w   w   w   uFY uFY uFY w   w   w   w   w   w
w   w   w   w   w   w   w   w   uFY uFY w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   i   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w

lat lY16  1 0.0 0.0 17 17  1.25984
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY
uFY uFY uFY uFY uFY b   uFY uFY b   uFY uFY b   uFY uFY uFY uFY uFY
uFY uFY uFY b   uFY uFY uFY uFY uFY uFY uFY uFY uFY b   uFY uFY uFY
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY
uFY uFY b   uFY uFY g   uFY uFY g   uFY uFY g   uFY uFY b   uFY uFY
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY
uFY uFY b   uFY uFY g   uFY uFY i   uFY uFY g   uFY uFY b   uFY uFY
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY
uFY uFY b   uFY uFY g   uFY uFY g   uFY uFY g   uFY uFY b   uFY uFY
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY
uFY uFY uFY b   uFY uFY uFY uFY uFY uFY uFY uFY uFY b   uFY uFY uFY
uFY uFY uFY uFY uFY b   uFY uFY b   uFY uFY b   uFY uFY uFY uFY uFY
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Lattice 20BA, Figure 22 with 3.4 wt-% enriched uranium

lat lY20s 1 0.0 0.0 17 17 1.25984
w   w   w   w   w   w   w   w   uFY uFY uFY uFY uFY uFY uFY uFY uFY
w   w   w   w   w   w   w   w   uFY uFY uFY uFY uFY uFY uFY uFY w
w   w   w   w   w   w   w   w   b   uFY uFY b   uFY uFY uFY w   w
w   w   w   w   w   w   w   w   uFY uFY uFY uFY uFY b   w   w   w
w   w   w   w   w   w   w   w   uFY uFY uFY uFY uFY w   w   w   w
w   w   w   w   w   w   w   w   g   uFY uFY b   w   w   w   w   w
w   w   w   w   w   w   w   w   uFY uFY uFY w   w   w   w   w   w
w   w   w   w   w   w   w   w   uFY uFY w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   i   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w
w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w   w

lat lY20  1 0.0 0.0 17 17  1.25984
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY
uFY uFY uFY uFY uFY b   uFY uFY b   uFY uFY b   uFY uFY uFY uFY uFY
uFY uFY uFY b   uFY uFY uFY uFY uFY uFY uFY uFY uFY b   uFY uFY uFY
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY
uFY uFY b   uFY uFY b   uFY uFY g   uFY uFY b   uFY uFY b   uFY uFY
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY
uFY uFY b   uFY uFY g   uFY uFY i   uFY uFY g   uFY uFY b   uFY uFY
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY
uFY uFY b   uFY uFY b   uFY uFY g   uFY uFY b   uFY uFY b   uFY uFY
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY
uFY uFY uFY b   uFY uFY uFY uFY uFY uFY uFY uFY uFY b   uFY uFY uFY
uFY uFY uFY uFY uFY b   uFY uFY b   uFY uFY b   uFY uFY uFY uFY uFY
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY
uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY uFY

% --- Symmetry to the lattices
%     Symmetry axis is the z-axis (3)
%     Symmetry boundary condition is reflective (2)
%     Symmetry axis is located at coordinates (0.0 0.0)
%     Symmetry covers an angle starting from 270 degrees
%     and extending for 45 degrees

set usym lY00s 3 2 0.0 0.0 270 45
set usym lY04s 3 2 0.0 0.0 270 45
set usym lY06s 3 2 0.0 0.0 270 180
set usym lY08s 3 2 0.0 0.0 270 45
set usym lY12s 3 2 0.0 0.0 270 45
set usym lY15s 3 2 0.0 0.0 270 45
set usym lY16s 3 2 0.0 0.0 270 45
set usym lY20s 3 2 0.0 0.0 270 45