/******************
 * Axial surfaces *
 ******************/


 % Lowest Extent

surf sLowest	pz -36.7480


% Bottom of Support Plate

surf sSPBot     pz -16.748


% Bottom of Fuel Rod

surf sRodBot    pz -1.748


% Bottom of Active Fuel

surf sFuelBot   pz 0


% Grid 1 Bottom

surf sG1Bot     pz 0.0


% Bottom of BPRA Rod

surf sBPRABot   pz 1.9120


% Control Rod Step 0 (Bottom)

surf sCRBot     pz 3.2100


% Grid 1 Top

surf sG1Top     pz 3.3579


% Bottom of Active Absorber (Burnable Poison)

surf sBPBot     pz 3.8100


% Bottom of Lower Absorber (AIC)

surf sAICBot    pz 5.0800


% Grid 2 Bottom

surf sG2Bot     pz 58.6080


% Bottom of Upper Absorber (B4C)

surf sB4CBot    pz 59.9870


% Grid 2 Top

surf sG2Top     pz 64.3230


% Grid 3 Bottom

surf sG3Bot     pz 108.6476


% Grid 3 Top

surf sG3Top     pz 114.3626


% Grid 4 Bottom

surf sG4Bot     pz 158.6872


% Grid 4 Top

surf sG4Top     pz 164.4022


% Top of Active Absorber (Burnable Poison)

surf sBPTop     pz 198.7300


% Top of Active Fuel (Bottom of Spacer)

surf sFuelTop   pz 200.0


% Bottom of Control Rod Plenum

surf sCRplenumBot   pz 201.2700


% Grid 5 Bottom

surf sG5Bot     pz 209.2980


% Grid 5 Top

surf sG5Top     pz 212.6560


% Top of Control Rod Plenum

surf sCRplenumTop   pz 213.0500


% Top of Fuel Rod Upper Plenum

surf sPlenumTop pz 214.656


% Top of Fuel Rod

surf sRodTop    pz 217.196


% Top of BPRA Rod Plenum

surf sBPplenumTop   pz 219.0240


% Bottom of Upper Nozzle

surf sNozzleBot pz 220.541


% Top of Upper Nozzle

surf sNozzleTop pz 229.368


% Highest Extent

surf sHighest	pz 257.4920
